#NoTrayIcon
SetDefaultMouseSpeed, 4
SetKeyDelay, 100

CoordMode, Mouse, Screen

SysGet, ResInfo, Monitor
RegRead, TaskbarLocked, HKEY_CURRENT_USER, SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Advanced, TaskbarSizeMove

WinGetPos, TaskbarX, TaskbarY, TaskbarW, TaskbarH, ahk_class Shell_TrayWnd
ControlGetPos, ClockX, ClockY, ClockW, ClockH, TrayClockWClass1, ahk_class Shell_TrayWnd


;EXIT IF TASKBAR IS HIDDEN
IfWinNotExist, ahk_class Shell_TrayWnd
	ExitApp

;EXIT IF CLOCK IS DISABLED
If ClockW = 0
	ExitApp

;EXIT IF TASKBAR IS NOT AT TOP OF SCREEN
If (TaskbarY > 0 or TaskbarX > 0)
	ExitApp


ClockX2 := ClockX + 10                ;CLOCK POSITION + 10
ResInfoBottom2 := ResInfoBottom - 10  ;SCREEN HEIGHT - 10
ResInfoTop2 := ResInfoTop + 10        ;10 PX FROM TOP OF SCREEN
Middle := ResInfoRight / 2            ;MIDDLE OF SCREEN WIDTH


Loop, 5
{
  If (TaskbarLocked = 0 or TaskbarLocked = "")
  {
  	MouseClick, right,  %ClockX2%,  %ResInfoTop2%
  	Send {UP}
  	Send {UP}
  	Send {ENTER}
  	MouseClickDrag, L, %ClockX2%,  %ResInfoTop2%, %Middle%, %ResInfoBottom%
  	MouseClick, right,  %ClockX2%,  %ResInfoBottom2%
  	Send {UP}
  	Send {UP}
  	Send {ENTER}
  }
  Else
  {
  	MouseClickDrag, L, %ClockX2%,  %ResInfoTop2%, %Middle%, %ResInfoBottom%
  	MouseClick, right,  %ClockX2%,  %ResInfoBottom2%
  	Send {UP}
  	Send {UP}
  	Send {ENTER}
  }
  WinGetPos, TaskbarX, TaskbarY, TaskbarW, TaskbarH, ahk_class Shell_TrayWnd
  If TaskbarY > 0
    break
}