#==========================================
# INSTALLER INFORMATION
#==========================================
		Name "ResHacker Script Creator"
    OutFile "..\..\ResHacker Script Creator.exe"
		AutoCloseWindow true

		!define RESOURCES "Resources"
		!define NEWFILES "NewFiles"
		!define LOGS "Logs"
		!define TEMPFILES "TempFiles"
		!define NEWLINE "$\r$\n"


#==========================================
# VARIABLES
#==========================================
		Var Folder
		Var File
		Var Extension
		Var ScriptFile
		Var ResourceName


#==========================================
# FUNCTION SPLIT STRING AT DIVIDER CHAR.
#==========================================
		Function SplitFirstStrPart
		  Exch $R0
		  Exch
		  Exch $R1
		  Push $R2
		  Push $R3
			StrCpy $R3 $R1
		  StrLen $R1 $R0
		  IntOp $R1 $R1 + 1
		  LOOP:
				IntOp $R1 $R1 - 1
		    StrCpy $R2 $R0 1 -$R1
		    StrCmp $R1 0 EXIT0
		    StrCmp $R2 $R3 EXIT1 LOOP
		  EXIT0:
		  StrCpy $R1 ""
		  Goto EXIT2
		  EXIT1:
		    IntOp $R1 $R1 - 1
		    StrCmp $R1 0 0 +3
		    StrCpy $R2 ""
		    Goto +2
		    StrCpy $R2 $R0 "" -$R1
		    IntOp $R1 $R1 + 1
		    StrCpy $R0 $R0 -$R1
		    StrCpy $R1 $R2
		  EXIT2:
		  Pop $R3
		  Pop $R2
		  Exch $R1 ;rest
		  Exch
		  Exch $R0 ;first
		FunctionEnd


		!macro CheckExt Ext ResType
			StrCmp $Extension "${Ext}" 0 +3
			FileWrite "$ScriptFile" "-modify $\"${RESOURCES}\$Folder\$File$\""
			FileWrite "$ScriptFile" ", ${ResType}, $ResourceName,${NEWLINE}"
		!macroend

    !macro WriteScript SystemFilesFolder
      !define UL ${__LINE__}

			FindFirst $0 $Folder "$EXEDIR\${SystemFilesFolder}\*"
			IfErrors DONE_${UL}
			FINDFOLDERLOOP_${UL}:

        #SKIP CERTAIN FOLDERS
        StrCmp "$Folder" "nusrmgr.cpl" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "dfrgres.dll" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "setupapi.dll" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "winssro.dll" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "xpsp2res.dll" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "dxdiag.exe" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "rstrui.exe" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "telnet.exe" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "48x48" FINDNEXTFOLDER_${UL}
        StrCmp "$Folder" "128x128" FINDNEXTFOLDER_${UL}

				IfFileExists "$EXEDIR\${SystemFilesFolder}\$Folder\*" 0 FINDNEXTFOLDER_${UL}
					StrCmp $Folder ".." FINDNEXTFOLDER_${UL}
					StrCmp $Folder "." FINDNEXTFOLDER_${UL}
					FileOpen "$ScriptFile" "$EXEDIR\${SystemFilesFolder}\$Folder\$Folder.txt" "w"
						FileWrite "$ScriptFile" "[FILENAMES]${NEWLINE}"
						FileWrite "$ScriptFile" "Exe = $\"${TEMPFILES}\$Folder$\"${NEWLINE}"
						FileWrite "$ScriptFile" "SaveAs = $\"${NEWFILES}\$Folder$\"${NEWLINE}"
						FileWrite "$ScriptFile" "Log = $\"${LOGS}\$Folder.log$\"${NEWLINE}${NEWLINE}"
						FileWrite "$ScriptFile" "[COMMANDS]${NEWLINE}"

						FindFirst $2 $File "$EXEDIR\${SystemFilesFolder}\$Folder\*"
						IfErrors FINDNEXTFOLDER_${UL}
						FINDFILELOOP_${UL}:
							IfFileExists "$EXEDIR\${SystemFilesFolder}\$Folder\$File\*" FINDNEXTFILE_${UL}
								Push "."
								Push "$File"
								Call SplitFirstStrPart
								Pop $ResourceName
								Pop $Extension
								StrCpy $Extension $Extension 3

								!insertmacro CheckExt txt UIFILE
								!insertmacro CheckExt gif GIF
								!insertmacro CheckExt bmp BITMAP
								!insertmacro CheckExt ico ICONGROUP
								!insertmacro CheckExt avi AVI
								!insertmacro CheckExt png PNG
								!insertmacro CheckExt cur CURSORGROUP
								!insertmacro CheckExt wav WAV
								!insertmacro CheckExt jpg JPG

							FINDNEXTFILE_${UL}:
								ClearErrors
								FindNext $2 $File
								IfErrors 0 FINDFILELOOP_${UL}

				FINDNEXTFOLDER_${UL}:
					FindClose $2
					ClearErrors
					FindNext $0 $Folder
					IfErrors 0 FINDFOLDERLOOP_${UL}

			DONE_${UL}:
			FindClose $0
			FileClose "$ScriptFile"

      !undef UL
    !macroend



#==========================================
# SECTION
#==========================================
		Section 1
      !insertmacro WriteScript "System Files\CPL\48x48"
      !insertmacro WriteScript "System Files\CPL\128x128"

      !insertmacro WriteScript "System Files\DLL\48x48"
      !insertmacro WriteScript "System Files\DLL\128x128"

      !insertmacro WriteScript "System Files\EXE\48x48"
      !insertmacro WriteScript "System Files\EXE\128x128"

      !insertmacro WriteScript "System Files\OCX\48x48"
      !insertmacro WriteScript "System Files\OCX\128x128"

      !insertmacro WriteScript "System Files\Office\48x48"
      !insertmacro WriteScript "System Files\Office\128x128"

      !insertmacro WriteScript "System Files\Outlook Express\48x48"
      !insertmacro WriteScript "System Files\Outlook Express\128x128"

      !insertmacro WriteScript "System Files\Shell32\48x48"
      !insertmacro WriteScript "System Files\Shell32\128x128"

      !insertmacro WriteScript "Skins\WinRAR\48x48"
      !insertmacro WriteScript "Skins\WinRAR\128x128"

      !insertmacro WriteScript "Extras\Boot Screen\Normal\48x48"
      !insertmacro WriteScript "Extras\Boot Screen\Normal\128x128"
      !insertmacro WriteScript "Extras\Boot Screen\Widescreen\48x48"
      !insertmacro WriteScript "Extras\Boot Screen\Widescreen\128x128"
		SectionEnd