#==========================================
# SECTION DESCRIPTIONS - INSTALLER
#==========================================
    !insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
      !insertmacro MUI_DESCRIPTION_TEXT ${CREATERESTOREPOINT} "Creates a system restore point.  NOTE: Icon cache must be rebuilt manually after using System Restore."

      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES} "33 .cpl, 99 .dll, 80 .exe, 5 .ocx, 33 Office XP/2003, and 8 Outlook Express system files. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES_CPL} "Control panel (.cpl) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES_DLL} "Dynamic link library (.dll) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES_EXE} "Executable (.exe) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES_OCX} "OLE Control Extension (.ocx) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES_OFFICE} "Office XP/2003 files."
      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES_OUTLOOKEXPRESS} "Outlook Express files - mod by Pack."
      !insertmacro MUI_DESCRIPTION_TEXT ${SHELL32.DLL} "Shell32.dll."
      !insertmacro MUI_DESCRIPTION_TEXT ${SYSTEMFILES_UXTHEME} "Uxtheme.dll patch that allows 3rd party visual styles to be used."

      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS} "Boot Screen, Cursors, Logon Screen, Sounds, Screen Saver, Wallpapers, etc."
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_BOOTSCREEN} "OS X boot screen. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_CURSORS} "OS X cursor scheme."
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_DEFAULTSCREENSAVER} "Default Windows screensaver, logon.scr. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_FLURRYSCREENSAVER} "Flurry screensaver  Matt Ginzton."
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_HELPANDSUPPORT} "Modifies the Help and Support Center images. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_LOGONSCREEN} "OS X logon screen."
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_SOUNDS} "Iceman's Jaguar sound scheme."
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_USERACCOUNTPICTURES} "Mac user account pictures - listed under Control Panel -> User Accounts."
      !insertmacro MUI_DESCRIPTION_TEXT ${EXTRAS_WALLPAPER} "Wallpaper - listed under the Display Properties -> Desktop tab."

      !insertmacro MUI_DESCRIPTION_TEXT ${SKINS} "Application Skins"
      !insertmacro MUI_DESCRIPTION_TEXT ${SKINS_VISUALSTYLE} "Tiger MS Style  KoL and the Mac OS X Tiger WindowBlinds skin  Steve Grenier."
      !insertmacro MUI_DESCRIPTION_TEXT ${SKINS_MSN} "MacMSN skin for for MSN Messenger 7.5  theunknown."
      !insertmacro MUI_DESCRIPTION_TEXT ${SKINS_POWERDVD} "iVid skin for PowerDVD  aquagrl."
      !insertmacro MUI_DESCRIPTION_TEXT ${SKINS_TRILLIAN} "iChat AV skin for Trillian Pro 3.1  danimator."
      !insertmacro MUI_DESCRIPTION_TEXT ${SKINS_WINDVD} "iDVD skin for WinDVD 6  Danimator."
      !insertmacro MUI_DESCRIPTION_TEXT ${SKINS_WINRAR} "WinRAR application and toolbar icons."

      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE} "3rd party software designed to enhance the transformation experience."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_DOCKS} "Customizable short-cut and running task launchers."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_OBJECTDOCK} "Lets you organize your short-cuts and running tasks onto a customizable dock that sits on your desktop."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_RKLAUNCHER} "Allows the user to have a visually pleasing bar at the side of the screen that is used to quickly launch shortcuts."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_ALTQ} "Allows the user to use the hotkey Alt+Q to close the active window or application  Hakan Erduman."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_ICF} "Allows the user to customize the color of every Windows folder  KemenAran."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_MULTIPLUGIN} "Allows skinning of iTunes and adds many extra options  loc[a]lhost."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_SEARCHSPY} "Spotlight search clone powered by Google Desktop Search  SpyGamer."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_TSP} "System Preferences clone for Windows Control Panel items."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_UBERICON} "Extends the Windows operating system to include new effects for your icons and folders."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_WINROLL} "Make a window roll into its title bar, send it to the back or make it stay on top  Wil Palma."
      !insertmacro MUI_DESCRIPTION_TEXT ${SOFTWARE_YZSHADOW} "Adds customizable shadows to windows and taskbar  M. Yamaguchi."

      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS} "Various System Tweaks"
      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS_TWEAKUI} "Adds a TweakUI icon to the Control Panel. (Does not actually install TweakUI)"
      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS_COMMANDCONSOLE} "Changes the look of command.com, cmd.exe, and telnet.exe to match the OS X Terminal look."
      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS_FILETYPEICONS} "Sets specific icons for certain file extensions."
      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS_THROBBERSHELL} "Turns off the throbber in Explorer windows."
      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS_THROBBERIE} "Turns off the throbber in Internet Explorer windows."
      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS_MOVETASKBAR} "Moves the taskbar to the top of the screen."
      !insertmacro MUI_DESCRIPTION_TEXT ${TWEAKS_PLACESBAR} "Remove the 'My Recent Documents' button in the Places bar."
    !insertmacro MUI_FUNCTION_DESCRIPTION_END



#==========================================
# SECTION DESCRIPTIONS - UNINSTALLER
#==========================================
    !insertmacro MUI_UNFUNCTION_DESCRIPTION_BEGIN
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SYSTEMFILES} "33 .cpl, 99 .dll, 80 .exe, 5 .ocx, 33 Office XP/2003, and 8 Outlook Express system files. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SYSTEMFILES_CPL} "Control panel (.cpl) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SYSTEMFILES_DLL} "Dynamic link library (.dll) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SYSTEMFILES_EXE} "Executable (.exe) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SYSTEMFILES_OCX} "OLE Control Extension (.ocx) files."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SYSTEMFILES_OFFICE} "Office XP/2003 files."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SYSTEMFILES_OUTLOOKEXPRESS} "Outlook Express files - mod by Pack."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SHELL32.DLL} "Shell32.dll."

      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS} "Boot Screen, Cursors, Logon Screen, Sounds, Screen Saver, Wallpapers, etc."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_BOOTSCREEN} "OS X boot screen. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_CURSORS} "OS X cursor scheme."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_DEFAULTSCREENSAVER} "Default Windows screensaver, logon.scr. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_FLURRYSCREENSAVER} "Flurry screensaver  Matt Ginzton."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_HELPANDSUPPORT} "Modifies the Help and Support Center images. (All Users)"
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_LOGONSCREEN} "OS X logon screen."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_SOUNDS} "Iceman's Jaguar sound scheme."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_USERACCOUNTPICTURES} "Mac user account pictures - listed under Control Panel -> User Accounts."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.EXTRAS_WALLPAPER} "Wallpaper - listed under the Display Properties -> Desktop tab."

      !insertmacro MUI_DESCRIPTION_TEXT ${un.SKINS} "Application Skins"
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SKINS_VISUALSTYLE} "Tiger MS Style  KoL and the Mac OS X Tiger WindowBlinds skin  Steve Grenier."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SKINS_MSN} "MacMSN skin for for MSN Messenger 7.5  theunknown."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SKINS_POWERDVD} "iVid skin for PowerDVD  aquagrl."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SKINS_TRILLIAN} "iChat AV skin for Trillian Pro 3.1  danimator."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SKINS_WINDVD} "iDVD skin for WinDVD 6  Danimator."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SKINS_WINRAR} "WinRAR application and toolbar icons."

      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE} "3rd party software designed to enhance the transformation experience."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_DOCKS} "Customizable short-cut and running task launchers."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_OBJECTDOCK} "Lets you organize your short-cuts and running tasks onto a customizable dock that sits on your desktop."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_RKLAUNCHER} "Allows the user to have a visually pleasing bar at the side of the screen that is used to quickly launch shortcuts."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_ALTQ} "Allows the user to use the hotkey Alt+Q to close the active window or application  Hakan Erduman."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_ICF} "Allows the user to customize the color of every Windows folder  KemenAran."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_MULTIPLUGIN} "Allows skinning of iTunes and adds many extra options  loc[a]lhost."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_SEARCHSPY} "Spotlight search clone powered by Google Desktop Search  SpyGamer."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_TSP} "System Preferences clone for Windows Control Panel items."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_UBERICON} "Extends the Windows operating system to include new effects for your icons and folders."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_WINROLL} "Make a window roll into its title bar, send it to the back or make it stay on top  Wil Palma."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.SOFTWARE_YZSHADOW} "Adds customizable shadows to windows and taskbar  M. Yamaguchi."

      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS} "Various System Tweaks"
      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS_TWEAKUI} "Adds a TweakUI icon to the Control Panel. (Does not actually install TweakUI)"
      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS_COMMANDCONSOLE} "Changes the look of command.com, cmd.exe, and telnet.exe to match the OS X Terminal look."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS_FILETYPEICONS} "Sets specific icons for certain file extensions."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS_THROBBERSHELL} "Turns off the animated Windows logo in the upper right corner of Explorer windows."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS_THROBBERIE} "Turns off the animated Windows logo in the upper right corner of Internet Explorer windows."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS_MOVETASKBAR} "Moves the taskbar to the bottom of the screen."
      !insertmacro MUI_DESCRIPTION_TEXT ${un.TWEAKS_PLACESBAR} "Remove the 'My Recent Documents' button in the Places bar."

      !insertmacro MUI_DESCRIPTION_TEXT ${un.REMOVEUNINSTALLER} "Removes the uninstaller, backup files, shortcuts, and the entire FlyakiteOSX folder.  This is not reversible."
    !insertmacro MUI_UNFUNCTION_DESCRIPTION_END
