#==========================================
# FUNCTION - GET PARAMETERS
#==========================================
		Function GetParameters
	  		Push $R0
		  	Push $R1
			  Push $R2
		  	Push $R3

			  StrCpy $R2 1
		  	StrLen $R3 $CMDLINE

			  #Check for quote or space
			  StrCpy $R0 $CMDLINE $R2
		  	StrCmp $R0 '"' 0 +3
		    	StrCpy $R1 '"'
		    	Goto loop
			  StrCpy $R1 " "

		  	LOOP:
		    	IntOp $R2 $R2 + 1
		    	StrCpy $R0 $CMDLINE 1 $R2
		    	StrCmp $R0 $R1 GET
		    	StrCmp $R2 $R3 GET
		    	Goto LOOP

			  GET:
		    	IntOp $R2 $R2 + 1
			    StrCpy $R0 $CMDLINE 1 $R2
		  	  StrCmp $R0 " " get
		    	StrCpy $R0 $CMDLINE "" $R2

			  Pop $R3
			  Pop $R2
			  Pop $R1
			  Exch $R0
		FunctionEnd



#==========================================
# FUNCTION - GET PARAMETER VALUE
#==========================================
		Function GetParameterValue
		  Exch $R0
		  Exch
		  Exch $R1

		  Push $R2
		  Push $R3
		  Push $R4
		  Push $R5

		  Strlen $R2 $R1+2

		  Call GetParameters
		  Pop $R3

		  StrCpy $R5 '"'
		  Push $R3
		  Push '"/$R1='
		  Call StrStr
		  Pop $R4
		  StrCpy $R4 $R4 "" 1
		  StrCmp $R4 "" "" NEXT

		  StrCpy $R5 ' '

		  Push $R3
		  Push '/$R1='
		  Call StrStr
		  Pop $R4

			NEXT:
			  StrCmp $R4 "" CHECK_FOR_SWITCH

			  StrCpy $R0 $R4 "" $R2

			  Push $R0
			  Push $R5

			  Call StrStr
			  Pop $R4
			  StrCmp $R4 "" DONE
			  StrLen $R4 $R4

			  StrCpy $R0 $R0 -$R4

			  goto DONE

			CHECK_FOR_SWITCH:
			  Push $R3
			  Push '/$R1'
			  Call StrStr
			  Pop $R4
			  StrCmp $R4 "" DONE
			  StrCpy $R0 ""

			DONE:
			  Pop $R5
			  Pop $R4
	  		Pop $R3
			  Pop $R2
			  Pop $R1
			  Exch $R0
		FunctionEnd



#==========================================
# FUNCTION - STRING STRING
#==========================================
		Function StrStr
		  Exch $R1
		  Exch
		  Exch $R2
		  Push $R3
		  Push $R4
		  Push $R5
		  StrLen $R3 $R1
		  StrCpy $R4 0
		  LOOP:
		    StrCpy $R5 $R2 $R3 $R4
		    StrCmp $R5 $R1 DONE
		    StrCmp $R5 "" DONE
		    IntOp $R4 $R4 + 1
		    Goto LOOP
		  DONE:
		  StrCpy $R1 $R2 "" $R4
		  Pop $R5
		  Pop $R4
		  Pop $R3
		  Pop $R2
		  Exch $R1
		FunctionEnd